Crazy Eddies GUI System: CEGUI::PushButton Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions
CEGUI::PushButton Class Reference

Base class to provide logic for push button type widgets. More...

Inheritance diagram for CEGUI::PushButton:
[legend]
Collaboration diagram for CEGUI::PushButton:
[legend]

List of all members.

## Public Member Functions
| PushButton (const String &type, const String &name)
| Constructor for base PushButton class.
virtual | ~PushButton (void)
| Destructor for PushButton class.
## Static Public Attributes
static const String | EventNamespace
| Namespace for global events.
static const String | WidgetTypeName
| Window factory name.
static const String | EventClicked
## Protected Member Functions
virtual void | onClicked (WindowEventArgs &e)
| handler invoked internally when the button is clicked.
virtual void | onMouseButtonUp (MouseEventArgs &e)
| Handler called when a mouse button has been released within this window's area.
virtual bool | testClassName_impl (const String &class_name) const
| Return whether this window was inherited from the given class name at some point in the inheritance hierarchy.

## Detailed Description

Base class to provide logic for push button type widgets.

## Member Function Documentation

virtual void CEGUI::PushButton::onMouseButtonUp | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

Handler called when a mouse button has been released within this window's area.

Parameters:

  e | MouseEventArgs object. All fields are valid.

Reimplemented from CEGUI::ButtonBase.

virtual bool CEGUI::PushButton::testClassName_impl | ( | const String & | class_name | ) | const`[inline, protected, virtual]`

Return whether this window was inherited from the given class name at some point in the inheritance hierarchy.

Parameters:

  class_name | The class name that is to be checked.

Returns:
  true if this window was inherited from class_name. false if not.

Reimplemented from CEGUI::ButtonBase.

Reimplemented in CEGUI::Thumb.

References CEGUI::ButtonBase::testClassName_impl().

Referenced by CEGUI::Thumb::testClassName_impl().

## Member Data Documentation

const String CEGUI::PushButton::EventClicked`[static]`

Event fired when the button is clicked. Handlers are passed a const WindowEventArgs reference with WindowEventArgs::window set to the PushButton that was clicked.